/*
 * FILE:
 *   sdl_error.cpp
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain
 *
 */

#include "sdl_error.hpp"

#include "SDL.h"

namespace Coercri {

    SDLError::SDLError(const std::string &msg)
        : CoercriError(msg + ". SDL error was: " + SDL_GetError())
    { }

}

                   
