/*
 * FILE:
 *   sdl_ttf_loader.cpp
 *
 * AUTHOR:
 *   Stephen Thompson, 2008
 *
 * COPYRIGHT:
 *   Public Domain
 *
 */

#include "sdl_ttf_font.hpp"
#include "sdl_ttf_loader.hpp"

namespace Coercri {

    boost::shared_ptr<Font> SDLTTFLoader::loadFont(boost::shared_ptr<std::istream> str, int size)
    {
        return boost::shared_ptr<SDLTTFFont>(new SDLTTFFont(str, size));
    }

}
