/*
 * load_font.hpp
 *
 * Copyright (c) Stephen Thompson, 2008.
 * Licensed for non-commercial use only. See LICENCE.txt for details.
 * 
 */

#ifndef LOAD_FONT_HPP
#define LOAD_FONT_HPP

#include "coercri/gfx/font.hpp"
#include "coercri/gfx/ttf_loader.hpp"
#include "boost/shared_ptr.hpp"
#include <string>
#include <vector>
using namespace boost;
using namespace std;

shared_ptr<Coercri::Font> LoadFont(Coercri::TTFLoader &loader,
                                   const vector<string> &ttf_font_names,
                                   const vector<string> &bmp_font_names, int size);

#endif
